/*\
|*| --------------------------------------------------------------------------
|*|	VGA ramdac register definitions
|*| --------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1995 Steffen Seeger [seeger@physik.tu-chemnitz.de]
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; either version 2, or (at your option)
|*|	any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*|
|*| ---------------------------------------------------------------------------
\*/

/* MAINTAINER	Steffen Seeger, [seeger@physik.tu-chemnitz.de] */

#ifndef _dac_h
#define _dac_h

#define	DAC_PW_INDEX	0x0	/* palette write index register */

#define	DAC_P_DATA	0x1	/* palette data (r/w) register  */

#define	DAC_PIXEL_MASK	0x2	/* pixel read mask register     */

#define	DAC_PR_INDEX	0x3	/* palette read index register  */

#endif /* _dac_h */
