/* NOTE: Because of the current implementation of timelist.c the 
         timing[] array *must not* contain multiple entries for a given
	 mode. */


#include "timelist.h"

#ifdef __VGA__
struct kgi_monitor 
monitor = {
		"generic",		/* manufacturer		*/
		"timing list",		/* model		*/
		GM_ALL,			/* supported modes	*/
		FL_MON_POWERSAVE |	/* special capabilities	*/
		FL_MON_INTERLACE, 
		{ 720, 480 },		/* maximum resolution	*/

		{  280, 180 },		/* max. picture size	*/
		VGA | COLOR_DISPLAY,	/* VGA color monitor	*/
		SYNC_NORMAL,		/* normal syncing	*/
		{ 25000000, 30000000 },	/* dclk range		*/
		{    31300,    31700 },	/* hfreq range		*/
		{       50,       70 }	/* vfreq range		*/
	   };

struct kgi_preset
timing[MAX_TIMINGS] =			/* generated from monosync/VGA.o  */
{
    { 28322000, { 720, 720, 765, 846, 882, 900, 0},	/* 720x480 @ 60Hz */
                { 480, 488, 489, 491, 516, 524, 0}}, 

    { 28322000, { 720, 720, 765, 846, 882, 900, 0},	/* 720x400 @ 70Hz */
                { 400, 407, 412, 414, 442, 449, 1}},

    { 28322000, { 720, 720, 765, 846, 882, 900, 1},	/* 720x350 @ 70Hz */
                { 350, 356, 387, 389, 443, 449, 0}},


    { 25175000, { 640, 640, 680, 752, 784, 800, 0},	/* 640x480 @ 60Hz */
                { 480, 488, 489, 491, 516, 524, 0}},

    { 25175000, { 640, 640, 680, 752, 784, 800, 1},	/* 640x350 @ 70Hz */
                { 350, 356, 387, 389, 443, 449, 0}},

    { 25175000, { 640, 640, 680, 752, 784, 800, 0},	/* 640x400 @ 70Hz */
                { 400, 407, 412, 414, 442, 449, 1}},
};
#endif /* __VGA__ */
